<!DOCTYPE html>
<html lang="zh-tw">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>新增租用</title>

  <!-- 引入Bootstrap 5.0 CDN -->
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta1/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-giJF6kkoqNQ00vy+HMDP7azOuL0xtbfIcaT9wjKHr8RbDVddVHyTfAAsrekwKmP1" crossorigin="anonymous">
  <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta1/dist/js/bootstrap.bundle.min.js" integrity="sha384-ygbV9kiqUc6oa4msXn9868pTtWMgiQaeYH7/t7LECLbyPA2x65Kgf80OJFdroafW" crossorigin="anonymous"></script>

  <!-- jQuery CDN -->
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
</head>
<body class="bg-light">
  <!-- 頂端工具列 -->
  <div id="header"></div>
  <div class="container vh-100">
    <!-- 預留頂端工具列下空間 -->
    <div style="height: 56px;"></div>
    <div class="mt-5 mx-auto" style="max-width: 700px;">
      <h1 class="mb-4">新增租用</h1>
      <label for="kitchenId" class="px-2 form-label">廚房</span></label>
      <button id="selectKitchen" class="btn btn-sm btn-primary px-3" data-bs-toggle="modal" data-bs-target="#exampleModal">選擇廚房</button>
      <form>
        <div class="mb-3">
          <input type="text" class="form-control d-none" id="kitchenId" name="kitchenId" placeholder="廚房編號">
          <div id="kitchenIdFeedback" class="invalid-feedback">不能為空白</div>
          <div id="kitchen" class="d-none mt-2 px-2">
            <p class="m-0">地址：<span id="address"></span></p>
            <p class="m-0">每小時價錢：<span id="pricePerHour"></span></p>
          </div>
        </div>
        <div class="mb-3">
          <label for="startAt" class="px-2 form-label">租用開始時間<span style="color: red;">*</span></label>
          <input type="datetime-local" class="form-control" id="startAt" name="startAt" placeholder="yyyy-mm-dd HH:ii:ss" max="9999-12-31T23:59:59" required>
          <div id="startAtFeedback" class="invalid-feedback">開始時間不能比結束時間晚</div>
        </div>
        <div class="mb-3">
          <label for="endAt" class="px-2 form-label">租用結束時間<span style="color: red;">*</span></label>
          <input type="datetime-local" class="form-control" id="endAt" name="endAt" placeholder="yyyy-mm-dd HH:ii:ss" max="9999-12-31T23:59:59" required>
          <div id="endAtFeedback" class="invalid-feedback">結束時間不能比開始時間早</div>
        </div>
        <div class="mb-3">
          <label for="price" class="px-2 form-label">價錢</label>
          <input type="text" class="form-control" id="price" name="price" readonly>
        </div>
        <div class="d-flex justify-content-center">
          <button type="button" id="submit" class="btn btn-primary px-3">新增</button>
        </div>
      </form>
    </div>
  </div>

  <!-- Modal -->
  <div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="exampleModalLabel">選擇租用廚房</h5>
          <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
        </div>
        <div class="modal-body">
          <table class="table mt-3 bg-white">
            <thead>
              <tr>
                <td id="id">廚房編號</td>
                <td id="address">地址</td>
                <td id="price">每小時價位</td>
                <td></td>
              </tr>
            </thead>
            <tbody>
              <!-- 表格內容樣板 -->
              <tr id="tbody-template" class="d-none">
                <td id="id" class="align-middle"></td>
                <td id="address" class="align-middle"></td>
                <td id="price" class="align-middle"></td>
                <td class="align-middle">
                  <button id="select" class="btn btn-outline-primary px-3" data-bs-dismiss="modal">選擇</button>
                </td>
              </tr>
            </tbody>
          </table>
        </div>
      </div>
    </div>
  </div>

  <script src="/co_kitchen/statics/js/rent/new.js"></script>
  <script src="/co_kitchen/statics/js/header.js"></script>
</body>
</html>